using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class InvoiceAbstract : System.Web.UI.Page
{
    protected busInvoice Invoice = null;

    protected void Page_Load(object sender, EventArgs e)
    {
        int OrderId = -1;

        if (!int.TryParse(Request.QueryString["Id"],out OrderId))
            Response.End(); // return nothing

        Invoice = new busInvoice();

        if (!Invoice.Load(OrderId))
            Response.End(); // return nothing

        this.LineItemsPanel.InnerHtml = Invoice.HtmlLineItems();

    }
}
